/*
 * Copyright (c) 2014, 2019 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package org.glassfish.jersey.server.spring.profiles;

import org.junit.Test;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import static org.junit.Assert.assertEquals;

public class SpringProfilesTest {

    @Test
    public void shouldGetDefaultBean() {
        System.setProperty("spring.profiles.active", "");
        AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(
                "org.glassfish.jersey.server.spring.profiles");
        assertEquals("default", context.getBean(TestService.class).test());
    }

    @Test
    public void shouldGetDevProfileBean() {
        System.setProperty("spring.profiles.active", "dev");
        AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(
                "org.glassfish.jersey.server.spring.profiles");
        assertEquals("dev", context.getBean(TestService.class).test());
    }
}
